#pragma once

#include <Urho3D/Scene/LogicComponent.h>

using namespace Urho3D;

class Remover : public LogicComponent
{
    URHO3D_OBJECT(Remover, LogicComponent);

public:
    Remover(Context* context);

    virtual void Start() override;

    static void RegisterObject(Context* context);

private:
    void HandleNodeCollision(StringHash eventType, VariantMap& eventData);

    void HandleShrinkEnd(StringHash eventType, VariantMap& eventData);
};
